Visual Studio 2017 support - Visual Studio - Netduino Forums
   
Netduino home hardware projects downloads community

Jump to content


The Netduino forums have been replaced by new forums at community.wildernesslabs.co. This site has been preserved for archival purposes only and the ability to make new accounts or posts has been turned off.
Photo

Visual Studio 2017 support

VS2017

  • Please log in to reply
4 replies to this topic

#1 glober

glober

    New Member

  • Members
  • Pip
  • 4 posts

Posted 12 March 2017 - 05:48 PM

Hi!

 

I was wondering if there are any plans to release support for Visual Studio 2017 for Netduino? There's an issue opened regarding this on the Github repo, but no answer is given yet:

https://github.com/N...eter/issues/538

 

Thanks,

Global 



#2 glober

glober

    New Member

  • Members
  • Pip
  • 4 posts

Posted 12 March 2017 - 08:46 PM

Alternatively, having support for Visual Studio Code (on Windows) would also be nice



#3 tridy

tridy

    Advanced Member

  • Members
  • PipPipPip
  • 68 posts
  • LocationStockholm, Sweden

Posted 06 June 2017 - 12:05 AM

Any updates on VS2017 for Netduino support?

 

thanks



#4 tridy

tridy

    Advanced Member

  • Members
  • PipPipPip
  • 68 posts
  • LocationStockholm, Sweden

Posted 06 June 2017 - 10:22 PM

Ok, I managed to build

  • .Net Micro Framework 4.4
  • Netduino SDK
  • VS Templates

 

so it works to create and build a Netduino project in Visual Studio 2017.

 

However when I try to deploy to Netduino, it says:

 

Severity Code Description Project File Line Suppression State
Error Cannot deploy the base assembly 'mscorlib', or any of his satellite assemblies, to device - USB:Netduino twice. Assembly 'mscorlib' on the device has version 4.3.1.0, while the program is trying to deploy version 4.4.0.0
 
can i copy the newer files to Netduino somehow, or do I need to recompile the firmware and update? If so, any tips on how to do it?
 
thanks!


#5 Nevyn

Nevyn

    Advanced Member

  • Members
  • PipPipPip
  • 1072 posts
  • LocationNorth Yorkshire, UK

Posted 08 June 2017 - 09:40 AM

The firmware on the board and the SDK used to by the application need to be at the same release level.

 

Regards,

Mark


To be or not to be = 0xFF

 

Blogging about Netduino, .NET, STM8S and STM32 and generally waffling on about life

Follow @nevynuk on Twitter





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

home    hardware    projects    downloads    community    where to buy    contact Copyright © 2016 Wilderness Labs Inc.  |  Legal   |   CC BY-SA
This webpage is licensed under a Creative Commons Attribution-ShareAlike License.